/* SFX External Operator Test */

SIGNAL ON SYNTAX
OPTIONS RESULTS

ADDRESS REXX_SFX

SFX_GetActiveBuffer
buf1=RESULT
IF buf1>-1 THEN DO
	SFX_SelOperator 'Amplify'
	SFX_SetOperatorParam 'Amplify' 'P1S' '"100 %"'
	SFX_SetOperatorParam 'Amplify' 'P1E' '"0 %"'
	SFX_SetOperatorParam 'Amplify' 'P1ModShape' 'Curve'
	SFX_SetOperatorParam 'Amplify' 'P1CurveExp' '1.0'
	SFX_ProcessSample buf1
	IF RC=0 THEN DO
		buf2=RESULT
		SFX_RenameBuffer buf2 '"Amplified sample"'
	END
	ELSE SFX_Message '"Operator Amplify failed !"'
END
ELSE SFX_Message '"No sample to operate on !"'
SFX_Activate												/* fertig */
EXIT

SYNTAX:
	SAY "Error #"||RC||":" ERRORTEXT(RC) "in line "||SIGL
EXIT
